
# Basic settings #

There are 2 defaults:

```
dir-localdumps = /var/iml-backup
keep-days = 7
```

## dir-localdumps ##

{string}

The target directory for local dumps. It is used by 

* the database dump scripts
* the transfer script to store the client backups
* the restore script

Below that one a directory for the service will be generated; inside that one the database dumbs with scheme name and timestamp, i.e.

    /var/iml-backup/mysql/mydatabase__20190827-2300.sql.gz

## keep-days ##

{integer}

The number of days how long to keep dumps locally.

Remark:
To make a database restore its dump must be located at this directory.

To restore an older database you need to restore the dump from the filke backup first.

If you have local Mysql daemon or Pgsql you can test it by starting

```
# dump all databases
sudo ./localdump.sh
```

```
# show written files
find /var/iml-backup
```
